Bug Hunting Session
Bug 86931 - Doing Chinese conversion causes the Impress and Spreadsheet to crash.
Summary: Doing Chinese conversion causes the Impress and Spreadsheet to crash.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: All All
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-02 12:49 UTC by Eudien
Modified: 2014-12-12 09:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eudien 2014-12-02 12:49:38 UTC
Hi,
I use Impress to edit some Simplified Chinese characters, dozens of them. Then I apply Chinese conversion, to translate them into Traditional Chinese, the Impress closed instantly without any warning. I tried Chinese Conversion on Spreadsheet and Writer, it's OK on Writer, but still crashed on Spreadsheet.
Steps to reproduce:
1, Open Impress;
2, Insert dozens of Simplified Chinese characters;
3, Click Tools->Languages->Chinese Conversion, Check 'Simplified Chinese to Traditional Chinese' then click OK.
The System I'm using is Ubuntu12.04LTS, and the version of Libreoffice is 4.3.4.1
Comment 1 Eudien 2014-12-02 15:36:27 UTC
Before step 3 select all characters, sorry about that
Comment 2 Kevin Suo 2014-12-04 09:41:51 UTC
Set back to UNCONFIRMED.
Bugs should be confirmed by a QA stuff before set to NEW.
Comment 3 Kevin Suo 2014-12-04 09:54:25 UTC
Well, I can confirm this.

Steps to reproduce:
1. Switch to Simplified Chinese UI;
2. New Impress, type (or paste) the Simplified Chinese char "中国";
3. Tools - Language - Chinese Conversion: Simplified Chinese to Tranditional Chinese.

--> Crash.

Reproducible with:
Version: 4.4.0.0.beta1
Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
Locale: zh_CN

P.S.: Does not reproduce with en_US UI.
Comment 4 Kevin Suo 2014-12-04 09:54:59 UTC
My OS: Win7 X64. Set platform to ALL.
Comment 5 Kevin Suo 2014-12-04 10:00:00 UTC
Changed component from "Impress Remote" to "Presentation".

I do not reproduce the crash with the steps of comment 3 in Calc.
Comment 6 Commit Notification 2014-12-08 10:38:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d10a42d5b1690b3b1ed81d99a3a1bc9b65c30d9

Resolves: fdo#86931 wrong offsets used to set language

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-08 10:42:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45be83689bc661a9b3077dd7c8e5563fdf7f04db&h=libreoffice-4-4

Resolves: fdo#86931 wrong offsets used to set language

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-12 09:30:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db897383b4034cd4b5e00d0b954a8075b43ed8bd&h=libreoffice-4-3

Resolves: fdo#86931 wrong offsets used to set language

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.